1

I am trying to install "SharePoint Online Management Shell" when I do so got below error.

This application requires the following to be installed:

  • PowerShell 3.0.

enter image description here

When I checked my Power Shell version its greater then 3.0

enter image description here

4
0

looks like you need to install the PowerShell 3.0 as it is required. You can download the PowerShell 3.0 from here

Once you install it then retry to install the SPO management shell. Also take a look here:

https://social.technet.microsoft.com/wiki/contents/articles/31960.sharepoint-online-working-with-powershell.aspx

3
  • Thanks for helping but when I try to install this it says "The update is not applicable for your computer" Jun 6 '19 at 14:40
  • try to uninstall the current version of PowerShell and SPO powershell then install the power 3.0
    – Waqas Sarwar MVP
    Jun 6 '19 at 14:44
  • Not sure what do you mean by uninstall current version of PowerShell. Do you have some link for instruction to remove. I removed "Microsoft.Online.SharePoint.PowerShell" with command "Uninstall-Module -Name Microsoft.Online.SharePoint.PowerShell -Force" Jun 6 '19 at 15:06
0

SharePoint Online Management Shell requires PowerShell 3.0 installed:

enter image description here

Please install PowerShell 3.0 here:

Windows Management Framework 3.0

3
  • Thanks for helping but when I try to install this it says "The update is not applicable for your computer" Jun 6 '19 at 14:39
  • @RaviKhambhati, please check the fix from here for this error you are meeting: mikefrobbins.com/2012/11/03/…
    – Jerry
    Jun 7 '19 at 6:27
  • I have looked into the article but when I try to in stall .net framework it says I already have a newer version of the framework and couln't install. Jun 12 '19 at 15:29
0

This article seems to address your exact issue:

https://support.shortpoint.com/support/solutions/articles/1000253824-enable-scripting-capabilities-with-powershell-for-office-365

It specifically states to Download and Install Windows Management Framework 5.1 if your error appears:

https://www.microsoft.com/en-us/download/details.aspx?id=54616

After installing, run your SPO Management Shell installer again.

3
  • WMF 5.0 RTM has been superseded by WMF 5.1. So try to install that and got "Update for Windows (KB3191566) is already installed on this computer." Jun 6 '19 at 14:41
  • Updated link to 5.1 above.
    – user58700
    Jun 6 '19 at 15:22
  • I have tried the same one and its already installed on my machine Jun 6 '19 at 15:32
0

I encounter similar issue on Windows 10 machine. Windows 10 is using 5.1 and you can't force it to run 3.0. What works for me is to run CMD in Administrator then run the MSI installer from there. That shoule install SP Management Shell Successfully without requiring 3.0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.